#! /bin/sh
















# Guess values for system-dependent variables and create Makefiles.
# Generated automatically using autoconf version 2.13 
# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
#
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

# Defaults:
ac_help=
ac_default_prefix=/usr/local
# Any additions from configure.in:
ac_help="$ac_help
--enable-yield - Turn on use of process yield when waiting for a message.
The default is yes.  The value allows a particular yield routine to be chosen.
The choices include
    yes - use the default (either POSIX sched_yield or none)
    sched_yield - POSIX sched_yield
    select - select with a zero timeout 
    sginap - IRIX only function to yield
    dynamic - chose between sched_yield, select, and none at runtime
              with the environment variable MPICH_YIELD"
ac_help="$ac_help
--enable-processgroup - Use a separate process group for the MPICH processes"

# Initialize some variables set by options.
# The variables have the same names as the options, with
# dashes changed to underlines.
build=NONE
cache_file=./config.cache
exec_prefix=NONE
host=NONE
no_create=
nonopt=NONE
no_recursion=
prefix=NONE
program_prefix=NONE
program_suffix=NONE
program_transform_name=s,x,x,
silent=
site=
srcdir=
target=NONE
verbose=
x_includes=NONE
x_libraries=NONE
bindir='${exec_prefix}/bin'
sbindir='${exec_prefix}/sbin'
libexecdir='${exec_prefix}/libexec'
datadir='${prefix}/share'
sysconfdir='${prefix}/etc'
sharedstatedir='${prefix}/com'
localstatedir='${prefix}/var'
libdir='${exec_prefix}/lib'
includedir='${prefix}/include'
oldincludedir='/usr/include'
infodir='${prefix}/info'
mandir='${prefix}/man'

# Initialize some other variables.
subdirs=
MFLAGS= MAKEFLAGS=
SHELL=${CONFIG_SHELL-/bin/sh}
# Maximum number of lines to put in a shell here document.
ac_max_here_lines=12

ac_prev=
for ac_option
do

  # If the previous option needs an argument, assign it.
  if test -n "$ac_prev"; then
    eval "$ac_prev=\$ac_option"
    ac_prev=
    continue
  fi

  case "$ac_option" in
  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
  *) ac_optarg= ;;
  esac

  # Accept the important Cygnus configure options, so we can diagnose typos.

  case "$ac_option" in

  -bindir | --bindir | --bindi | --bind | --bin | --bi)
    ac_prev=bindir ;;
  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
    bindir="$ac_optarg" ;;

  -build | --build | --buil | --bui | --bu)
    ac_prev=build ;;
  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
    build="$ac_optarg" ;;

  -cache-file | --cache-file | --cache-fil | --cache-fi \
  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
    ac_prev=cache_file ;;
  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
    cache_file="$ac_optarg" ;;

  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
    ac_prev=datadir ;;
  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
  | --da=*)
    datadir="$ac_optarg" ;;

  -disable-* | --disable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    eval "enable_${ac_feature}=no" ;;

  -enable-* | --enable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "enable_${ac_feature}='$ac_optarg'" ;;

  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  | --exec | --exe | --ex)
    ac_prev=exec_prefix ;;
  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  | --exec=* | --exe=* | --ex=*)
    exec_prefix="$ac_optarg" ;;

  -gas | --gas | --ga | --g)
    # Obsolete; use --with-gas.
    with_gas=yes ;;

  -help | --help | --hel | --he)
    # Omit some internal or obsolete options to make the list less imposing.
    # This message is too long to be a string in the A/UX 3.1 sh.
    cat << EOF
Usage: configure [options] [host]
Options: [defaults in brackets after descriptions]
Configuration:
  --cache-file=FILE       cache test results in FILE
  --help                  print this message
  --no-create             do not create output files
  --quiet, --silent       do not print \`checking...' messages
  --version               print the version of autoconf that created configure
Directory and file names:
  --prefix=PREFIX         install architecture-independent files in PREFIX
                          [$ac_default_prefix]
  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                          [same as prefix]
  --bindir=DIR            user executables in DIR [EPREFIX/bin]
  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
  --datadir=DIR           read-only architecture-independent data in DIR
                          [PREFIX/share]
  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
                          [PREFIX/com]
  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
  --includedir=DIR        C header files in DIR [PREFIX/include]
  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
  --infodir=DIR           info documentation in DIR [PREFIX/info]
  --mandir=DIR            man documentation in DIR [PREFIX/man]
  --srcdir=DIR            find the sources in DIR [configure dir or ..]
  --program-prefix=PREFIX prepend PREFIX to installed program names
  --program-suffix=SUFFIX append SUFFIX to installed program names
  --program-transform-name=PROGRAM
                          run sed PROGRAM on installed program names
EOF
    cat << EOF
Host type:
  --build=BUILD           configure for building on BUILD [BUILD=HOST]
  --host=HOST             configure for HOST [guessed]
  --target=TARGET         configure for TARGET [TARGET=HOST]
Features and packages:
  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  --x-includes=DIR        X include files are in DIR
  --x-libraries=DIR       X library files are in DIR
EOF
    if test -n "$ac_help"; then
      echo "--enable and --with options recognized:$ac_help"
    fi
    exit 0 ;;

  -host | --host | --hos | --ho)
    ac_prev=host ;;
  -host=* | --host=* | --hos=* | --ho=*)
    host="$ac_optarg" ;;

  -includedir | --includedir | --includedi | --included | --include \
  | --includ | --inclu | --incl | --inc)
    ac_prev=includedir ;;
  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
  | --includ=* | --inclu=* | --incl=* | --inc=*)
    includedir="$ac_optarg" ;;

  -infodir | --infodir | --infodi | --infod | --info | --inf)
    ac_prev=infodir ;;
  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
    infodir="$ac_optarg" ;;

  -libdir | --libdir | --libdi | --libd)
    ac_prev=libdir ;;
  -libdir=* | --libdir=* | --libdi=* | --libd=*)
    libdir="$ac_optarg" ;;

  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
  | --libexe | --libex | --libe)
    ac_prev=libexecdir ;;
  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
  | --libexe=* | --libex=* | --libe=*)
    libexecdir="$ac_optarg" ;;

  -localstatedir | --localstatedir | --localstatedi | --localstated \
  | --localstate | --localstat | --localsta | --localst \
  | --locals | --local | --loca | --loc | --lo)
    ac_prev=localstatedir ;;
  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
    localstatedir="$ac_optarg" ;;

  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
    ac_prev=mandir ;;
  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
    mandir="$ac_optarg" ;;

  -nfp | --nfp | --nf)
    # Obsolete; use --without-fp.
    with_fp=no ;;

  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c)
    no_create=yes ;;

  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
    no_recursion=yes ;;

  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
  | --oldin | --oldi | --old | --ol | --o)
    ac_prev=oldincludedir ;;
  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
    oldincludedir="$ac_optarg" ;;

  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
    ac_prev=prefix ;;
  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
    prefix="$ac_optarg" ;;

  -program-prefix | --program-prefix | --program-prefi | --program-pref \
  | --program-pre | --program-pr | --program-p)
    ac_prev=program_prefix ;;
  -program-prefix=* | --program-prefix=* | --program-prefi=* \
  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
    program_prefix="$ac_optarg" ;;

  -program-suffix | --program-suffix | --program-suffi | --program-suff \
  | --program-suf | --program-su | --program-s)
    ac_prev=program_suffix ;;
  -program-suffix=* | --program-suffix=* | --program-suffi=* \
  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
    program_suffix="$ac_optarg" ;;

  -program-transform-name | --program-transform-name \
  | --program-transform-nam | --program-transform-na \
  | --program-transform-n | --program-transform- \
  | --program-transform | --program-transfor \
  | --program-transfo | --program-transf \
  | --program-trans | --program-tran \
  | --progr-tra | --program-tr | --program-t)
    ac_prev=program_transform_name ;;
  -program-transform-name=* | --program-transform-name=* \
  | --program-transform-nam=* | --program-transform-na=* \
  | --program-transform-n=* | --program-transform-=* \
  | --program-transform=* | --program-transfor=* \
  | --program-transfo=* | --program-transf=* \
  | --program-trans=* | --program-tran=* \
  | --progr-tra=* | --program-tr=* | --program-t=*)
    program_transform_name="$ac_optarg" ;;

  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil)
    silent=yes ;;

  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
    ac_prev=sbindir ;;
  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
  | --sbi=* | --sb=*)
    sbindir="$ac_optarg" ;;

  -sharedstatedir | --sharedstatedir | --sharedstatedi \
  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
  | --sharedst | --shareds | --shared | --share | --shar \
  | --sha | --sh)
    ac_prev=sharedstatedir ;;
  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
  | --sha=* | --sh=*)
    sharedstatedir="$ac_optarg" ;;

  -site | --site | --sit)
    ac_prev=site ;;
  -site=* | --site=* | --sit=*)
    site="$ac_optarg" ;;

  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
    ac_prev=srcdir ;;
  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
    srcdir="$ac_optarg" ;;

  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
  | --syscon | --sysco | --sysc | --sys | --sy)
    ac_prev=sysconfdir ;;
  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
    sysconfdir="$ac_optarg" ;;

  -target | --target | --targe | --targ | --tar | --ta | --t)
    ac_prev=target ;;
  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
    target="$ac_optarg" ;;

  -v | -verbose | --verbose | --verbos | --verbo | --verb)
    verbose=yes ;;

  -version | --version | --versio | --versi | --vers)
    echo "configure generated by autoconf version 2.13"
    exit 0 ;;

  -with-* | --with-*)
    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "with_${ac_package}='$ac_optarg'" ;;

  -without-* | --without-*)
    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    eval "with_${ac_package}=no" ;;

  --x)
    # Obsolete; use --with-x.
    with_x=yes ;;

  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  | --x-incl | --x-inc | --x-in | --x-i)
    ac_prev=x_includes ;;
  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
    x_includes="$ac_optarg" ;;

  -x-libraries | --x-libraries | --x-librarie | --x-librari \
  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
    ac_prev=x_libraries ;;
  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
    x_libraries="$ac_optarg" ;;

  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
    ;;

  *)
    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
      echo "configure: warning: $ac_option: invalid host type" 1>&2
    fi
    if test "x$nonopt" != xNONE; then
      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
    fi
    nonopt="$ac_option"
    ;;

  esac
done

if test -n "$ac_prev"; then
  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
fi

trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15

# File descriptor usage:
# 0 standard input
# 1 file creation
# 2 errors and warnings
# 3 some systems may open it to /dev/tty
# 4 used on the Kubota Titan
# 1 checking for... messages and results
# 2 compiler messages saved in config.log
if test "$silent" = yes; then
  exec 1>/dev/null
else
  exec 1>&1
fi
exec 2>./config.log

echo "\
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
" 1>&2

# Strip out --no-create and --no-recursion so they do not pile up.
# Also quote any args containing shell metacharacters.
ac_configure_args=
for ac_arg
do
  case "$ac_arg" in
  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c) ;;
  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
  esac
done

# NLS nuisances.
# Only set these to C if already set.  These must not be set unconditionally
# because not all systems understand e.g. LANG=C (notably SCO).
# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
# Non-C LC_CTYPE values break the ctype check.
if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi

# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h

# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
ac_unique_file=

# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  ac_srcdir_defaulted=yes
  # Try the directory containing this script, then its parent.
  ac_prog=$0
  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  srcdir=$ac_confdir
  if test ! -r $srcdir/$ac_unique_file; then
    srcdir=..
  fi
else
  ac_srcdir_defaulted=no
fi
if test ! -r $srcdir/$ac_unique_file; then
  if test "$ac_srcdir_defaulted" = yes; then
    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
  else
    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
  fi
fi
srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`

# Prefer explicitly selected file to automatically selected ones.
if test -z "$CONFIG_SITE"; then
  if test "x$prefix" != xNONE; then
    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
  else
    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
  fi
fi
for ac_site_file in $CONFIG_SITE; do
  if test -r "$ac_site_file"; then
    echo "loading site script $ac_site_file"
    . "$ac_site_file"
  fi
done


ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CPP $CPPFLAGS'
ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&2'
ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&2'
cross_compiling=$ac_cv_prog_cc_cross

ac_exeext=
ac_objext=o
if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
    ac_n= ac_c='
' ac_t='	'
  else
    ac_n=-n ac_c= ac_t=
  fi
else
  ac_n= ac_c='\c' ac_t=
fi


  


if test -n "$pac_cv_cross_compiling" ; then
    if test "$pac_cv_cross_compiling" = "yes" ; then
	cross_compiling=1
    fi
else
    echo $ac_n "checking whether cross-compiling""... $ac_c" 1>&1
echo "configure:554: checking whether cross-compiling" >&2
    # If we cannot run a trivial program, we must be cross compiling.
            if test "$cross_compiling" = yes; then
    { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
  cat > conftest.$ac_ext <<EOF
#line 560 "configure"
#include "confdefs.h"
main(){exit(0);}
EOF
if { (eval echo configure:564: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
  pac_ok=1
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -fr conftest*
  pac_ok=0
fi
rm -fr conftest*
fi

    if test $pac_ok = 1 ; then
        if test "$cross_compiling" = yes; then
    { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
  cat > conftest.$ac_ext <<EOF
#line 581 "configure"
#include "confdefs.h"
main(){exit(1);}
EOF
if { (eval echo configure:585: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
  pac_ok=0 
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
fi
rm -fr conftest*
fi

        if test $pac_ok = 1 ; then
	    pac_cv_cross_compiling="no"
            echo "$ac_t""no" 1>&1
        else
            cross_compiling=1
	    pac_cv_cross_compiling="yes"
            echo "$ac_t""yes" 1>&1
        fi
    else
        cross_compiling=1
        pac_cv_cross_compiling="yes"
        echo "$ac_t""yes" 1>&1
    fi
fi


# Check whether --enable-yield or --disable-yield was given.
if test "${enable_yield+set}" = set; then
  enableval="$enable_yield"
  :
else
  enable_yield=yes
fi


# Check whether --enable-processgroup or --disable-processgroup was given.
if test "${enable_processgroup+set}" = set; then
  enableval="$enable_processgroup"
  :
else
  enable_processgroup=default
fi


# Solaris has -lthread containing mutex_init
echo $ac_n "checking for mutex_init in -lthread""... $ac_c" 1>&1
echo "configure:631: checking for mutex_init in -lthread" >&2
ac_lib_var=`echo thread'_'mutex_init | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&1
else
  ac_save_LIBS="$LIBS"
LIBS="-lthread  $LIBS"
cat > conftest.$ac_ext <<EOF
#line 639 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
/* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
char mutex_init();

int main() {
mutex_init()
; return 0; }
EOF
if { (eval echo configure:650: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_lib_$ac_lib_var=yes"
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  eval "ac_cv_lib_$ac_lib_var=no"
fi
rm -f conftest*
LIBS="$ac_save_LIBS"

fi
if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
  echo "$ac_t""yes" 1>&1
    ac_tr_lib=HAVE_LIB`echo thread | sed -e 's/[^a-zA-Z0-9_]/_/g' \
    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
  cat >> confdefs.h <<EOF
#define $ac_tr_lib 1
EOF

  LIBS="-lthread $LIBS"

else
  echo "$ac_t""no" 1>&1
fi


echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&1
echo "configure:679: checking how to run the C preprocessor" >&2
# On Suns, sometimes $CPP names a directory.
if test -n "$CPP" && test -d "$CPP"; then
  CPP=
fi
if test -z "$CPP"; then
if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&1
else
    # This must be in double quotes, not single quotes, because CPP may get
  # substituted into the Makefile and "${CC-cc}" will confuse make.
  CPP="${CC-cc} -E"
  # On the NeXT, cc -E runs the code through the compiler's parser,
  # not just through cpp.
  cat > conftest.$ac_ext <<EOF
#line 694 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:700: \"$ac_try\") 1>&2; (eval $ac_try) 2>&2; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
  :
else
  echo "$ac_err" >&2
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  CPP="${CC-cc} -E -traditional-cpp"
  cat > conftest.$ac_ext <<EOF
#line 711 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:717: \"$ac_try\") 1>&2; (eval $ac_try) 2>&2; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
  :
else
  echo "$ac_err" >&2
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  CPP="${CC-cc} -nologo -E"
  cat > conftest.$ac_ext <<EOF
#line 728 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:734: \"$ac_try\") 1>&2; (eval $ac_try) 2>&2; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
  :
else
  echo "$ac_err" >&2
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  CPP=/lib/cpp
fi
rm -f conftest*
fi
rm -f conftest*
fi
rm -f conftest*
  ac_cv_prog_CPP="$CPP"
fi
  CPP="$ac_cv_prog_CPP"
else
  ac_cv_prog_CPP="$CPP"
fi
echo "$ac_t""$CPP" 1>&1

for ac_hdr in sched.h errno.h
do
ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&1
echo "configure:762: checking for $ac_hdr" >&2
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&1
else
  cat > conftest.$ac_ext <<EOF
#line 767 "configure"
#include "confdefs.h"
#include <$ac_hdr>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:772: \"$ac_try\") 1>&2; (eval $ac_try) 2>&2; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=yes"
else
  echo "$ac_err" >&2
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=no"
fi
rm -f conftest*
fi
if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
  echo "$ac_t""yes" 1>&1
    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
  cat >> confdefs.h <<EOF
#define $ac_tr_hdr 1
EOF
 
else
  echo "$ac_t""no" 1>&1
fi
done

use_select_yield=no
have_sched_yield=no
case $enable_yield in
    no)
        # Do nothing
	;;
    yes|sched_yield)
	# Solaris hides sched_yield in the rt library
	
echo $ac_n "checking for library containing sched_yield""... $ac_c" 1>&1
echo "configure:808: checking for library containing sched_yield" >&2
if eval "test \"`echo '$''{'ac_cv_search_sched_yield'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&1
else
  ac_func_search_save_LIBS="$LIBS"
ac_cv_search_sched_yield="no"
cat > conftest.$ac_ext <<EOF
#line 815 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
/* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
char sched_yield();

int main() {
sched_yield()
; return 0; }
EOF
if { (eval echo configure:826: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  ac_cv_search_sched_yield="none required"
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
fi
rm -f conftest*
test "$ac_cv_search_sched_yield" = "no" && for i in rt; do
LIBS="-l$i  $ac_func_search_save_LIBS"
cat > conftest.$ac_ext <<EOF
#line 837 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
/* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
char sched_yield();

int main() {
sched_yield()
; return 0; }
EOF
if { (eval echo configure:848: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  ac_cv_search_sched_yield="-l$i"
break
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
fi
rm -f conftest*
done
LIBS="$ac_func_search_save_LIBS"
fi

echo "$ac_t""$ac_cv_search_sched_yield" 1>&1
if test "$ac_cv_search_sched_yield" != "no"; then
  test "$ac_cv_search_sched_yield" = "none required" || LIBS="$ac_cv_search_sched_yield $LIBS"
  have_sched_yield=yes
else :
  
fi
	if test "$have_sched_yield" = "yes" ; then
	    cat >> confdefs.h <<\EOF
#define USE_SCHED_YIELD 
EOF

	else
	    # Hook to allow us to make this the alternate default
            use_select_yield=no
	fi
	;;	
    sginap)
        echo $ac_n "checking for sginap""... $ac_c" 1>&1
echo "configure:880: checking for sginap" >&2
cat > conftest.$ac_ext <<EOF
#line 882 "configure"
#include "confdefs.h"
#include <ctype.h> /* Arbitrary system header to define __stub macros. */
#ifdef __cplusplus
extern "C" { char sginap(); };
#else
char sginap();
#endif
int main() {
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_sginap) || defined (__stub___sginap)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
sginap();
#endif

; return 0; }
EOF
if { (eval echo configure:903: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_func_sginap=yes"
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  eval "ac_cv_func_sginap=no"
fi
rm -f conftest*
if eval "test \"`echo '$ac_cv_func_'sginap`\" = yes"; then
  echo "$ac_t""yes" 1>&1
  cat >> confdefs.h <<\EOF
#define USE_SGINAP_YIELD 
EOF

else
  echo "$ac_t""no" 1>&1
fi

        ;;
    yield)
        # AIX 4.2 has yield
        echo $ac_n "checking for yield""... $ac_c" 1>&1
echo "configure:927: checking for yield" >&2
cat > conftest.$ac_ext <<EOF
#line 929 "configure"
#include "confdefs.h"
#include <ctype.h> /* Arbitrary system header to define __stub macros. */
#ifdef __cplusplus
extern "C" { char yield(); };
#else
char yield();
#endif
int main() {
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_yield) || defined (__stub___yield)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
yield();
#endif

; return 0; }
EOF
if { (eval echo configure:950: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_func_yield=yes"
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  eval "ac_cv_func_yield=no"
fi
rm -f conftest*
if eval "test \"`echo '$ac_cv_func_'yield`\" = yes"; then
  echo "$ac_t""yes" 1>&1
  cat >> confdefs.h <<\EOF
#define USE_YIELD_YIELD 
EOF

else
  echo "$ac_t""no" 1>&1
fi

	;;
    select)
        # Assume that we can always use select
        use_select_yield=yes
	;;
    dynamic)
	
echo $ac_n "checking for library containing sched_yield""... $ac_c" 1>&1
echo "configure:978: checking for library containing sched_yield" >&2
if eval "test \"`echo '$''{'ac_cv_search_sched_yield'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&1
else
  ac_func_search_save_LIBS="$LIBS"
ac_cv_search_sched_yield="no"
cat > conftest.$ac_ext <<EOF
#line 985 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
/* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
char sched_yield();

int main() {
sched_yield()
; return 0; }
EOF
if { (eval echo configure:996: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  ac_cv_search_sched_yield="none required"
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
fi
rm -f conftest*
test "$ac_cv_search_sched_yield" = "no" && for i in rt; do
LIBS="-l$i  $ac_func_search_save_LIBS"
cat > conftest.$ac_ext <<EOF
#line 1007 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
/* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
char sched_yield();

int main() {
sched_yield()
; return 0; }
EOF
if { (eval echo configure:1018: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  ac_cv_search_sched_yield="-l$i"
break
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
fi
rm -f conftest*
done
LIBS="$ac_func_search_save_LIBS"
fi

echo "$ac_t""$ac_cv_search_sched_yield" 1>&1
if test "$ac_cv_search_sched_yield" != "no"; then
  test "$ac_cv_search_sched_yield" = "none required" || LIBS="$ac_cv_search_sched_yield $LIBS"
  have_sched_yield=yes
else :
  
fi
	if test "$have_sched_yield" = "yes" ; then
	    cat >> confdefs.h <<\EOF
#define USE_DYNAMIC_YIELD 
EOF

	fi
	;;
    *)
	echo "configure: warning: Unrecognized yield method $enable_yield" 1>&2
	;;
esac
if test "$use_select_yield" = "yes" ; then
    cat >> confdefs.h <<\EOF
#define USE_SELECT_YIELD 
EOF

fi
#
# Check for other lock routines
# IRIX
# usnewlock is a macro, so we need to use try_link
# Also, it must be combined with the arenas code
echo $ac_n "checking for usnewlock""... $ac_c" 1>&1
echo "configure:1061: checking for usnewlock" >&2
cat > conftest.$ac_ext <<EOF
#line 1063 "configure"
#include "confdefs.h"

#include <ulocks.h>
int main() {

ulock_t l;
usptr_t *p;
l = usnewlock(p);
; return 0; }
EOF
if { (eval echo configure:1074: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  echo "$ac_t""yes" 1>&1
found_shmem=1
cat >> confdefs.h <<\EOF
#define HAVE_USLOCKS 1
EOF

cat >> confdefs.h <<\EOF
#define PREFER_SPINLOCKS 1
EOF

cat >> confdefs.h <<\EOF
#define PREFER_USLOCKS 1
EOF

cat >> confdefs.h <<\EOF
#define HAVE_ARENAS 1
EOF

cat >> confdefs.h <<\EOF
#define PREFER_ARENAS 1
EOF

else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  echo "$ac_t""no" 1>&1
fi
rm -f conftest*
# (still need to define PREFER_SPINLOCKS)

# SX-4
echo $ac_n "checking for tslock_init""... $ac_c" 1>&1
echo "configure:1109: checking for tslock_init" >&2
cat > conftest.$ac_ext <<EOF
#line 1111 "configure"
#include "confdefs.h"
#include <ctype.h> /* Arbitrary system header to define __stub macros. */
#ifdef __cplusplus
extern "C" { char tslock_init(); };
#else
char tslock_init();
#endif
int main() {
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_tslock_init) || defined (__stub___tslock_init)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
tslock_init();
#endif

; return 0; }
EOF
if { (eval echo configure:1132: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_func_tslock_init=yes"
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  eval "ac_cv_func_tslock_init=no"
fi
rm -f conftest*
if eval "test \"`echo '$ac_cv_func_'tslock_init`\" = yes"; then
  echo "$ac_t""yes" 1>&1
  cat >> confdefs.h <<\EOF
#define HAVE_TSLOCKS 1
EOF

cat >> confdefs.h <<\EOF
#define PREFER_TSLOCKS 1
EOF

else
  echo "$ac_t""no" 1>&1
fi


# the C compiler might include this for us, but the Fortran compiler
# does not

# We need to test for particular routines

echo $ac_n "checking for library containing gethostbyname""... $ac_c" 1>&1
echo "configure:1163: checking for library containing gethostbyname" >&2
if eval "test \"`echo '$''{'ac_cv_search_gethostbyname'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&1
else
  ac_func_search_save_LIBS="$LIBS"
ac_cv_search_gethostbyname="no"
cat > conftest.$ac_ext <<EOF
#line 1170 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
/* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
char gethostbyname();

int main() {
gethostbyname()
; return 0; }
EOF
if { (eval echo configure:1181: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  ac_cv_search_gethostbyname="none required"
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
fi
rm -f conftest*
test "$ac_cv_search_gethostbyname" = "no" && for i in nsl; do
LIBS="-l$i  $ac_func_search_save_LIBS"
cat > conftest.$ac_ext <<EOF
#line 1192 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
/* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
char gethostbyname();

int main() {
gethostbyname()
; return 0; }
EOF
if { (eval echo configure:1203: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  ac_cv_search_gethostbyname="-l$i"
break
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
fi
rm -f conftest*
done
LIBS="$ac_func_search_save_LIBS"
fi

echo "$ac_t""$ac_cv_search_gethostbyname" 1>&1
if test "$ac_cv_search_gethostbyname" != "no"; then
  test "$ac_cv_search_gethostbyname" = "none required" || LIBS="$ac_cv_search_gethostbyname $LIBS"
  
else :
  
fi
# I can't find a system that even *has* librpc .

# Shared-memory (processes) device.  Only need to set mpirun default machine.
for ac_func in msem_init
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&1
echo "configure:1229: checking for $ac_func" >&2
cat > conftest.$ac_ext <<EOF
#line 1231 "configure"
#include "confdefs.h"
#include <ctype.h> /* Arbitrary system header to define __stub macros. */
#ifdef __cplusplus
extern "C" { char $ac_func(); };
#else
char $ac_func();
#endif
int main() {
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
$ac_func();
#endif

; return 0; }
EOF
if { (eval echo configure:1252: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=yes"
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=no"
fi
rm -f conftest*
if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
  echo "$ac_t""yes" 1>&1
    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
  cat >> confdefs.h <<EOF
#define $ac_tr_func 1
EOF
 have_msem_init=1
else
  echo "$ac_t""no" 1>&1
fi
done

if test "$have_msem_init" = 1 ; then
    # If have msem_init, we need to see if we need struct msemaphore or just
    # msemaphore.
    echo $ac_n "checking Is msemaphore a typedef or struct name?""... $ac_c" 1>&1
echo "configure:1278: checking Is msemaphore a typedef or struct name?" >&2
    cat > conftest.$ac_ext <<EOF
#line 1280 "configure"
#include "confdefs.h"

#include <ctype.h>
#include <sys/mman.h>
int main() {

typedef struct msemaphore MPID_Msemaphore;
typedef struct { MPID_Msemaphor lock; int a; } Msem;
Msem sem;
       
; return 0; }
EOF
if { (eval echo configure:1293: \"$ac_compile\") 1>&2; (eval $ac_compile) 2>&2; }; then
  rm -rf conftest*
  is_struct=1
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  is_struct=0
fi
rm -f conftest*
     if test $is_struct = 1 ; then
	cat >> confdefs.h <<\EOF
#define MSEMAPHORE_IS_STRUCT 1
EOF

	echo "$ac_t""struct" 1>&1
     else
	echo "$ac_t""typedef" 1>&1
     fi
fi
#
# Here's a horrible "feature".  Solaris includes null stubs for 
# mutex_init in libc (!), so that users can build threaded code that
# doesn't work (rather than putting this null stubs in -lnothread, 
# where they belong).  Thus, if mutex_init IS found, we need to 
# check for -lthread.   (Which we should have done above)
#
for ac_func in mutex_init strerror shmat semop mmap sem_post
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&1
echo "configure:1323: checking for $ac_func" >&2
cat > conftest.$ac_ext <<EOF
#line 1325 "configure"
#include "confdefs.h"
#include <ctype.h> /* Arbitrary system header to define __stub macros. */
#ifdef __cplusplus
extern "C" { char $ac_func(); };
#else
char $ac_func();
#endif
int main() {
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
$ac_func();
#endif

; return 0; }
EOF
if { (eval echo configure:1346: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=yes"
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=no"
fi
rm -f conftest*
if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
  echo "$ac_t""yes" 1>&1
    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
  cat >> confdefs.h <<EOF
#define $ac_tr_func 1
EOF
 
else
  echo "$ac_t""no" 1>&1
fi
done


# atexit registers a function to be called at normal process termination
# This allows us to add a function to release resources if the user
# calls exit or forgets to call MPI_Finalize.  It doesn't help with 
# abnormal termination
for ac_func in atexit
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&1
echo "configure:1376: checking for $ac_func" >&2
cat > conftest.$ac_ext <<EOF
#line 1378 "configure"
#include "confdefs.h"
#include <ctype.h> /* Arbitrary system header to define __stub macros. */
#ifdef __cplusplus
extern "C" { char $ac_func(); };
#else
char $ac_func();
#endif
int main() {
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
$ac_func();
#endif

; return 0; }
EOF
if { (eval echo configure:1399: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=yes"
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=no"
fi
rm -f conftest*
if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
  echo "$ac_t""yes" 1>&1
    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
  cat >> confdefs.h <<EOF
#define $ac_tr_func 1
EOF
 
else
  echo "$ac_t""no" 1>&1
fi
done


# Check for a working mmap.
rm -f mconftest1.out
MMAP=0
echo $ac_n "checking that shared, anonymous mmap works""... $ac_c" 1>&1
echo "configure:1426: checking that shared, anonymous mmap works" >&2
if test "$cross_compiling" = yes; then
  true
else
  cat > conftest.$ac_ext <<EOF
#line 1431 "configure"
#include "confdefs.h"

#include <stdio.h>
#include <sys/mman.h>
#include <fcntl.h>
#ifdef HAVE_STRERROR
#include <errno.h>
#endif
int main()
{
int fd;	
char *mem;
int memsize = 4 * 1024 * 1024;
FILE *reasonfd;

reasonfd = fopen( "mconftest1.out", "w" );
if (!reasonfd) reasonfd = stderr;

#if !defined(MAP_ANONYMOUS) && !defined(MAP_VARIABLE)
    /* In LINUX, we should try to open a large enough file of zeros.
       We can create a temp file, open it, write 0-filled blocks to 
       it, and mark it delete on close.  If you can create a
       /dev/zero.mpi file, try that.
     */
    fd = open("/dev/zero", O_RDWR);
    if (fd < 0) {
	fprintf( reasonfd, "Failed to open /dev/zero\n" );
	return 1;
    }
    fprintf( reasonfd, "mmap on /dev/zero\n" );
    mem = (char *) mmap((caddr_t) 0, memsize,
			PROT_READ|PROT_WRITE|PROT_EXEC,
			MAP_SHARED, 
			fd, (off_t) 0);
    fprintf( reasonfd, "mmap call was\n\
    mem = (char *) mmap((caddr_t) 0, memsize,\n\
			PROT_READ|PROT_WRITE|PROT_EXEC,\n\
			MAP_SHARED, \n\
			fd, (off_t) 0);\n" );

#elif defined(MAP_ANONYMOUS) && !defined(MAP_VARIABLE)
    /* This might work for LINUX eventually:
       Current problem: LINUX doesn't accept MAP_ANONYMOUS and 
       MAP_SHARED (MAP_PRIVATE is ok)  */
    fprintf( reasonfd, "mmap anonymous with -1 fd\n" );
    mem = (char *) mmap((caddr_t) 0, memsize,
			PROT_READ|PROT_WRITE|PROT_EXEC,
			MAP_SHARED|MAP_ANONYMOUS,
			-1, (off_t) 0);
    fprintf( reasonfd, "mmap call was\n\
    mem = (char *) mmap((caddr_t) 0, memsize,\n\
			PROT_READ|PROT_WRITE|PROT_EXEC,\n\
			MAP_SHARED|MAP_ANONYMOUS,\n\
			-1, (off_t) 0);\n" );

#else
    fprintf( reasonfd, "mmap anonmyous variable with -1 fd\n" );
    mem = (char *) mmap((caddr_t) 0, memsize,
			PROT_READ|PROT_WRITE|PROT_EXEC,
			MAP_SHARED|MAP_ANONYMOUS|MAP_VARIABLE, 
			-1, (off_t) 0);
    fprintf( reasonfd, "mmap call was\n\
    mem = (char *) mmap((caddr_t) 0, memsize,\n\
			PROT_READ|PROT_WRITE|PROT_EXEC,\n\
			MAP_SHARED|MAP_ANONYMOUS|MAP_VARIABLE, \n\
			-1, (off_t) 0);\n" );
#endif
if (mem == (char*) -1) {
    fprintf( reasonfd, "mmap returned -1 (failure)" );
#if defined(HAVE_STRERROR)
    fprintf( reasonfd, ": %s\n", strerror( errno ) );
#else
    fprintf( reasonfd, "\n" );
#endif
    return 1; 
}
return 0;
}

EOF
if { (eval echo configure:1512: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
  echo "$ac_t""yes" 1>&1
MMAP=1
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -fr conftest*
  echo "$ac_t""no" 1>&1
if test -s mconftest1.out ; then 
    cat mconftest1.out >>config.log 
    #echo "Reason: "
    #cat mconftest1.out
fi
echo "configure: warning: mmap does not work with MAP_SHARED and MAP_ANONYMOUS
Some systems (e.g., LINUX) only allow MAP_PRIVATE
and MAP_ANONYMOUS.  MPICH requires MAP_SHARED when
using MAP_ANONYMOUS.
MPICH will attempt to use SYSV shared memory instead of mmap." 1>&2

cat >> confdefs.h <<\EOF
#define HAVE_NO_ANON_MMAP 1
EOF

fi
rm -fr conftest*
fi

rm -f mconftest1.out

# We need to check that semctl is ok.

# We need to check that semctl is ok.
# Both of these need to go into aclocal.m4
echo $ac_n "checking whether semget works""... $ac_c" 1>&1
echo "configure:1547: checking whether semget works" >&2
###
### Still need to check for SEMUN_UNDEFINED - see mpid/ch_p4/p4/configure.in
### 
cat > conftest.c <<EOF
#include <sys/types.h>
#include <sys/ipc.h>
#include <errno.h>
#include <sys/sem.h>
int main () {
#ifdef NEEDS_UNION_SEMUN
#if defined(SEMUN_UNDEFINED)    
union semun { int val } arg;
#else
union semun arg;
arg.val = 0;
#endif
#else
int arg = 0;
#endif
key_t key;
int semset_id;
key=ftok(".", 'a');
errno=0;
if ((semset_id=semget(key,10,IPC_CREAT|IPC_EXCL|0666)) == -1) 
printf("%d\n", errno);
else {
printf("%d\n", errno);
semctl(semset_id,0,IPC_RMID,arg); }
return 0; 
}
EOF
echo "${CC-cc} $CFLAGS -o conftest conftest.c $LDFLAGS $LIBS" >> config.log
if ${CC-cc} $CFLAGS -o conftest conftest.c $LDFLAGS $LIBS >> config.log 2>&1 ; then
    if test -x conftest ; then
	rm -f conftest.out
	./conftest > conftest.out
	errno=`cat conftest.out`

	# these values are specific to a particular unix.
        # we need to convert number to ERRNO based on the local 
        # system, and then match, if we can
	if test $errno -eq 0 ; then
	    echo "$ac_t""yes" 1>&1
	    SEMGET=1
	elif test $errno -eq 13 ; then  
	    echo "$ac_t""no" 1>&1
	    SEMGET=0
            echo "configure: warning: " 1>&2 "No access permission rights to the semaphore set"
	    echo "configure: warning: " 1>&2 "created with this key!"
            echo "configure: warning: " 1>&2 "Configure could have chosen to create a"
            echo "configure: warning: " 1>&2 "semaphore set using an unacceptable key value"
        elif test $errno -eq 17 ; then
	    echo "$ac_t""no" 1>&1
	    SEMGET=0
	    echo "configure: warning: " 1>&2 "The semaphore set created with this key"
	    echo "configure: warning: " 1>&2 "already exists!"
	    echo "configure: warning: " 1>&2 "Try running util/cleanipcs and then reconfiguring"
	    echo "configure: warning: " 1>&2 "This may or may not help."
	elif test $errno -eq 43 ; then
	    echo "$ac_t""no" 1>&1
	    SEMGET=0
	    echo "configure: warning: " 1>&2 "The semaphore set created with this key"
	    echo "configure: warning: " 1>&2 "is marked to be deleted!"
	    echo "configure: warning: " 1>&2 "Try running util/cleanipcs and then"
	    echo "configure: warning: " 1>&2 "reconfiguring.  This may or may not help."
	elif test $errno -eq 2 ; then
	    echo "$ac_t""no" 1>&1
	    SEMGET=0
	    echo "configure: warning: " 1>&2 "No semaphore set exists for this key!"
	    echo "configure: warning: " 1>&2 "Configure could have chosen to create a" 
	    echo "configure: warning: " 1>&2 "semaphore set using an unacceptable key value."
	elif test $errno -eq 12 ; then
	    echo "$ac_t""undetermined" 1>&1
	    SEMGET=0
	    echo "configure: warning: " 1>&2 "Not enough memory to create a semaphore set!"
	    echo "configure: warning: " 1>&2 "Try running util/cleanipcs and then" 
	    echo "configure: warning: " 1>&2 "reconfiguring.  This may or may not help."
	elif test $errno -eq 28 ; then
	    echo "$ac_t""no" 1>&1
	    SEMGET=0
	    echo "configure: warning: " 1>&2 "The system limit for the maximum number of"
	    echo "configure: warning: " 1>&2 "semaphore sets (SEMMNI), or the system wide"
            echo "configure: warning: " 1>&2 "maximum number of semaphores (SEMMNS)"
	    echo "configure: warning: " 1>&2 "has been reached."
        fi
    else
	echo "$ac_t""undetermined" 1>&1
        SEMGET=0
	echo "configure: warning: " 1>&2 "Could not build executable"
    fi
else
    echo "$ac_t""undetermined" 1>&1
    SEMGET=0
    echo "configure: warning: " 1>&2 "Could not compile program"
fi
rm -f conftest*


if test $MMAP = 0 -a "$SEMGET" = 0; then
    echo "configure: warning: Configure detected that both anonymous mmap and semget fail.
Configuring MPICH for shared memory may cause problems!" 1>&2
fi

if test "$SEMGET" = "1" ; then
    cat >> confdefs.h <<\EOF
#define HAVE_SEMGET 1
EOF

fi

for ac_func in setsid isatty
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&1
echo "configure:1661: checking for $ac_func" >&2
cat > conftest.$ac_ext <<EOF
#line 1663 "configure"
#include "confdefs.h"
#include <ctype.h> /* Arbitrary system header to define __stub macros. */
#ifdef __cplusplus
extern "C" { char $ac_func(); };
#else
char $ac_func();
#endif
int main() {
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
$ac_func();
#endif

; return 0; }
EOF
if { (eval echo configure:1684: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=yes"
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=no"
fi
rm -f conftest*
if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
  echo "$ac_t""yes" 1>&1
    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
  cat >> confdefs.h <<EOF
#define $ac_tr_func 1
EOF
 
else
  echo "$ac_t""no" 1>&1
fi
done

if test "$enable_processgroup" = "default" -o \
        "$enable_processgroup" = "yes" ; then
    cat >> confdefs.h <<\EOF
#define SET_NEW_PGRP 
EOF

fi


# XOPEN mandates that union semun NOT be defined(!)
echo $ac_n "checking for union semun""... $ac_c" 1>&1
echo "configure:1717: checking for union semun" >&2
cat > conftest.$ac_ext <<EOF
#line 1719 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/sem.h>
int main() {

union semun arg;arg.val=0;
; return 0; }
EOF
if { (eval echo configure:1729: \"$ac_compile\") 1>&2; (eval $ac_compile) 2>&2; }; then
  rm -rf conftest*
  echo "$ac_t""defined" 1>&1
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  cat >> confdefs.h <<\EOF
#define SEMUN_UNDEFINED 1
EOF

echo "$ac_t""undefined" 1>&1
fi
rm -f conftest*
#
# See if we can use an int in semctl or if we need the union
echo $ac_n "checking whether semctl needs union semun""... $ac_c" 1>&1
echo "configure:1746: checking whether semctl needs union semun" >&2
cat > conftest.$ac_ext <<EOF
#line 1748 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/sem.h>
int main() {

int arg = 0; semctl( 1, 1, SETVAL, arg );
; return 0; }
EOF
if { (eval echo configure:1758: \"$ac_compile\") 1>&2; (eval $ac_compile) 2>&2; }; then
  rm -rf conftest*
  echo "$ac_t""no" 1>&1
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  cat >> confdefs.h <<\EOF
#define SEMCTL_ARG_UNION 1
EOF

echo "$ac_t""yes" 1>&1
fi
rm -f conftest*
#
# This should check for shmat and semop first
if test "$usesysv" = 1 ; then
    cat >> confdefs.h <<\EOF
#define SHMEM_PICKED 1
EOF

    cat >> confdefs.h <<\EOF
#define USE_SHMAT 1
EOF

    cat >> confdefs.h <<\EOF
#define LOCKS_PICKED 1
EOF

    cat >> confdefs.h <<\EOF
#define USE_SEMOP 1
EOF

    # we must undefine any other USE_xxx chosen
fi
#
# At this point, we should be able to select some locks.  Make sure we
# can.  We include p2p_special because some values are set there that
# p2p_locks uses (e.g., MPID_CACHE_LINE_SIZE)
echo $ac_n "checking that usable shared memory locks were found""... $ac_c" 1>&1
echo "configure:1798: checking that usable shared memory locks were found" >&2
cat > conftest.$ac_ext <<EOF
#line 1800 "configure"
#include "confdefs.h"

#include "$srcdir/p2p_special.h"
#include "$srcdir/p2p_locks.h"

int main() {
int i;
; return 0; }
EOF
if { (eval echo configure:1810: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  echo "$ac_t""yes" 1>&1
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  echo "$ac_t""no" 1>&1
{ echo "configure: error: Cannot build ch_shmem without shared memory locks" 1>&2; exit 1; }

fi
rm -f conftest*
#
# Check for important headers
for ac_hdr in stdlib.h unistd.h
do
ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&1
echo "configure:1828: checking for $ac_hdr" >&2
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&1
else
  cat > conftest.$ac_ext <<EOF
#line 1833 "configure"
#include "confdefs.h"
#include <$ac_hdr>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:1838: \"$ac_try\") 1>&2; (eval $ac_try) 2>&2; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=yes"
else
  echo "$ac_err" >&2
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=no"
fi
rm -f conftest*
fi
if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
  echo "$ac_t""yes" 1>&1
    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
  cat >> confdefs.h <<EOF
#define $ac_tr_hdr 1
EOF
 
else
  echo "$ac_t""no" 1>&1
fi
done

#
# Look for sigaction routine (instead of signal)
for ac_hdr in signal.h
do
ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&1
echo "configure:1870: checking for $ac_hdr" >&2
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&1
else
  cat > conftest.$ac_ext <<EOF
#line 1875 "configure"
#include "confdefs.h"
#include <$ac_hdr>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:1880: \"$ac_try\") 1>&2; (eval $ac_try) 2>&2; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=yes"
else
  echo "$ac_err" >&2
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=no"
fi
rm -f conftest*
fi
if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
  echo "$ac_t""yes" 1>&1
    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
  cat >> confdefs.h <<EOF
#define $ac_tr_hdr 1
EOF
 
else
  echo "$ac_t""no" 1>&1
fi
done

for ac_func in sigaction
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&1
echo "configure:1909: checking for $ac_func" >&2
cat > conftest.$ac_ext <<EOF
#line 1911 "configure"
#include "confdefs.h"
#include <ctype.h> /* Arbitrary system header to define __stub macros. */
#ifdef __cplusplus
extern "C" { char $ac_func(); };
#else
char $ac_func();
#endif
int main() {
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
$ac_func();
#endif

; return 0; }
EOF
if { (eval echo configure:1932: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=yes"
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=no"
fi
rm -f conftest*
if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
  echo "$ac_t""yes" 1>&1
    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
  cat >> confdefs.h <<EOF
#define $ac_tr_func 1
EOF
 
else
  echo "$ac_t""no" 1>&1
fi
done

# To use sigaction, you also need the struct sigaction.  We've had
# some systems mess this up
echo $ac_n "checking for struct sigaction""... $ac_c" 1>&1
echo "configure:1957: checking for struct sigaction" >&2
cat > conftest.$ac_ext <<EOF
#line 1959 "configure"
#include "confdefs.h"
#include <signal.h>
int main() {

struct sigaction act; sigaddset( &act.sa_mask, SIGINT );
; return 0; }
EOF
if { (eval echo configure:1967: \"$ac_compile\") 1>&2; (eval $ac_compile) 2>&2; }; then
  rm -rf conftest*
  sigaction_ok="yes"
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  sigaction_ok="no"
fi
rm -f conftest*
echo "$ac_t""$sigaction_ok" 1>&1
for ac_func in sigprocmask signal sigmask sigset
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&1
echo "configure:1981: checking for $ac_func" >&2
cat > conftest.$ac_ext <<EOF
#line 1983 "configure"
#include "confdefs.h"
#include <ctype.h> /* Arbitrary system header to define __stub macros. */
#ifdef __cplusplus
extern "C" { char $ac_func(); };
#else
char $ac_func();
#endif
int main() {
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
$ac_func();
#endif

; return 0; }
EOF
if { (eval echo configure:2004: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=yes"
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=no"
fi
rm -f conftest*
if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
  echo "$ac_t""yes" 1>&1
    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
  cat >> confdefs.h <<EOF
#define $ac_tr_func 1
EOF
 
else
  echo "$ac_t""no" 1>&1
fi
done

# If using sigprocmask, we need to check that segset_t is defined.  At least
# one SGI installation had trouble with this.
if test "$ac_cv_func_sigprocmask" = "yes" ; then
    echo $ac_n "checking that sigset_t is defined""... $ac_c" 1>&1
echo "configure:2030: checking that sigset_t is defined" >&2
    cat > conftest.$ac_ext <<EOF
#line 2032 "configure"
#include "confdefs.h"

#include <signal.h>

int main() {
sigset_t newset;
; return 0; }
EOF
if { (eval echo configure:2041: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  echo "$ac_t""yes" 1>&1
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  echo "$ac_t""no" 1>&1
{ echo "configure: error: Your system claims to support sigprocmask but does not define
sigset_t.  Please check your system include files" 1>&2; exit 1; }

fi
rm -f conftest*
fi
# Also need to get signal hander arg count 1? 3? 4? something else?


echo $ac_n "checking whether signals work correctly""... $ac_c" 1>&1
echo "configure:2059: checking whether signals work correctly" >&2
cat >conftest.c <<EOF
#include <signal.h>
static int rc = 0, irc = 1, maxcnt=5;
void handler( sig )
int sig;
{
void (*oldsig)();
oldsig = signal( SIGUSR1, handler );
if (oldsig != handler) rc = 1;
irc = 0;
}
int main(argc, argv)
int argc;
char **argv;
{
(void)signal( SIGUSR1, handler );
kill( getpid(), SIGUSR1 );
while (irc && maxcnt) { sleep(1); maxcnt--;}
return rc;
}
EOF
rm -f conftest.out
if eval ${CC-cc} $CFLAGS -o conftest conftest.c $LDFLAGS > conftest.out 2>&1 ; then
    if ./conftest ; then
	echo "$ac_t""yes" 1>&1
    else
	if test -s conftest.out ; then cat conftest.out >> config.log ; fi
        cat conftest.c >>config.log
	echo "$ac_t""Signals reset when used!" 1>&1
	cat >> confdefs.h <<\EOF
#define SIGNALS_RESET_WHEN_USED 1
EOF

    fi
else
    if test -s conftest.out ; then cat conftest.out >> config.log ; fi
    cat conftest.c >>config.log
    echo "$ac_t""Could not compile test program!" 1>&1
fi
rm -f conftest conftest.c conftest.o conftest.out

echo $ac_n "checking return type of signal handlers""... $ac_c" 1>&1
echo "configure:2102: checking return type of signal handlers" >&2
if eval "test \"`echo '$''{'ac_cv_type_signal'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&1
else
  cat > conftest.$ac_ext <<EOF
#line 2107 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <signal.h>
#ifdef signal
#undef signal
#endif
#ifdef __cplusplus
extern "C" void (*signal (int, void (*)(int)))(int);
#else
void (*signal ()) ();
#endif

int main() {
int i;
; return 0; }
EOF
if { (eval echo configure:2124: \"$ac_compile\") 1>&2; (eval $ac_compile) 2>&2; }; then
  rm -rf conftest*
  ac_cv_type_signal=void
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  ac_cv_type_signal=int
fi
rm -f conftest*
fi

echo "$ac_t""$ac_cv_type_signal" 1>&1
cat >> confdefs.h <<EOF
#define RETSIGTYPE $ac_cv_type_signal
EOF


#
for ac_func in gettimeofday BSDgettimeofday
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&1
echo "configure:2146: checking for $ac_func" >&2
cat > conftest.$ac_ext <<EOF
#line 2148 "configure"
#include "confdefs.h"
#include <ctype.h> /* Arbitrary system header to define __stub macros. */
#ifdef __cplusplus
extern "C" { char $ac_func(); };
#else
char $ac_func();
#endif
int main() {
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
$ac_func();
#endif

; return 0; }
EOF
if { (eval echo configure:2169: \"$ac_link\") 1>&2; (eval $ac_link) 2>&2; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=yes"
else
  echo "configure: failed program was:" >&2
  cat conftest.$ac_ext >&2
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=no"
fi
rm -f conftest*
if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
  echo "$ac_t""yes" 1>&1
    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
  cat >> confdefs.h <<EOF
#define $ac_tr_func 1
EOF
 
else
  echo "$ac_t""no" 1>&1
fi
done

trap '' 1 2 15

trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15

test "x$prefix" = xNONE && prefix=$ac_default_prefix
# Let make expand exec_prefix.
test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'

# Any assignment to VPATH causes Sun make to only execute
# the first set of double-colon rules, so remove it if not needed.
# If there is a colon in the path, we need to keep it.
if test "x$srcdir" = x.; then
  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
fi

trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15

DEFS=-DHAVE_CONFIG_H

# Without the "./", some shells look in PATH for config.status.
: ${CONFIG_STATUS=./config.status}

echo creating $CONFIG_STATUS
rm -f $CONFIG_STATUS
cat > $CONFIG_STATUS <<EOF
#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
# $0 $ac_configure_args
#
# Compiler output produced by configure, useful for debugging
# configure, is in ./config.log if it exists.

ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
for ac_option
do
  case "\$ac_option" in
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
    echo "$CONFIG_STATUS generated by autoconf version 2.13"
    exit 0 ;;
  -help | --help | --hel | --he | --h)
    echo "\$ac_cs_usage"; exit 0 ;;
  *) echo "\$ac_cs_usage"; exit 1 ;;
  esac
done

ac_given_srcdir=$srcdir

trap 'rm -fr `echo "localdefs mpich-mpid.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
EOF
cat >> $CONFIG_STATUS <<EOF

# Protect against being on the right side of a sed subst in config.status.
sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
$ac_vpsub
$extrasub
s%@SHELL@%$SHELL%g
s%@CFLAGS@%$CFLAGS%g
s%@CPPFLAGS@%$CPPFLAGS%g
s%@CXXFLAGS@%$CXXFLAGS%g
s%@FFLAGS@%$FFLAGS%g
s%@DEFS@%$DEFS%g
s%@LDFLAGS@%$LDFLAGS%g
s%@LIBS@%$LIBS%g
s%@exec_prefix@%$exec_prefix%g
s%@prefix@%$prefix%g
s%@program_transform_name@%$program_transform_name%g
s%@bindir@%$bindir%g
s%@sbindir@%$sbindir%g
s%@libexecdir@%$libexecdir%g
s%@datadir@%$datadir%g
s%@sysconfdir@%$sysconfdir%g
s%@sharedstatedir@%$sharedstatedir%g
s%@localstatedir@%$localstatedir%g
s%@libdir@%$libdir%g
s%@includedir@%$includedir%g
s%@oldincludedir@%$oldincludedir%g
s%@infodir@%$infodir%g
s%@mandir@%$mandir%g
s%@CPP@%$CPP%g

CEOF
EOF

cat >> $CONFIG_STATUS <<\EOF

# Split the substitutions into bite-sized pieces for seds with
# small command number limits, like on Digital OSF/1 and HP-UX.
ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
ac_file=1 # Number of current file.
ac_beg=1 # First line for current file.
ac_end=$ac_max_sed_cmds # Line after last line for current file.
ac_more_lines=:
ac_sed_cmds=""
while $ac_more_lines; do
  if test $ac_beg -gt 1; then
    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
  else
    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
  fi
  if test ! -s conftest.s$ac_file; then
    ac_more_lines=false
    rm -f conftest.s$ac_file
  else
    if test -z "$ac_sed_cmds"; then
      ac_sed_cmds="sed -f conftest.s$ac_file"
    else
      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
    fi
    ac_file=`expr $ac_file + 1`
    ac_beg=$ac_end
    ac_end=`expr $ac_end + $ac_max_sed_cmds`
  fi
done
if test -z "$ac_sed_cmds"; then
  ac_sed_cmds=cat
fi
EOF

cat >> $CONFIG_STATUS <<EOF

CONFIG_FILES=\${CONFIG_FILES-"localdefs"}
EOF
cat >> $CONFIG_STATUS <<\EOF
for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case "$ac_file" in
  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  *) ac_file_in="${ac_file}.in" ;;
  esac

  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.

  # Remove last slash and all that follows it.  Not all systems have dirname.
  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
    # The file is in a subdirectory.
    test ! -d "$ac_dir" && mkdir "$ac_dir"
    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
    # A "../" for each directory in $ac_dir_suffix.
    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
  else
    ac_dir_suffix= ac_dots=
  fi

  case "$ac_given_srcdir" in
  .)  srcdir=.
      if test -z "$ac_dots"; then top_srcdir=.
      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
  *) # Relative path.
    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
    top_srcdir="$ac_dots$ac_given_srcdir" ;;
  esac


  echo creating "$ac_file"
  rm -f "$ac_file"
  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
  case "$ac_file" in
  *Makefile*) ac_comsub="1i\\
# $configure_input" ;;
  *) ac_comsub= ;;
  esac

  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
  sed -e "$ac_comsub
s%@configure_input@%$configure_input%g
s%@srcdir@%$srcdir%g
s%@top_srcdir@%$top_srcdir%g
" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
fi; done
rm -f conftest.s*

# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
# NAME is the cpp macro being defined and VALUE is the value it is being given.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s%^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
ac_dB='\([ 	][ 	]*\)[^ 	]*%\1#\2'
ac_dC='\3'
ac_dD='%g'
# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
ac_uA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_uB='\([ 	]\)%\1#\2define\3'
ac_uC=' '
ac_uD='\4%g'
# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_eA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_eB='$%\1#\2define\3'
ac_eC=' '
ac_eD='%g'

if test "${CONFIG_HEADERS+set}" != set; then
EOF
cat >> $CONFIG_STATUS <<EOF
  CONFIG_HEADERS="mpich-mpid.h"
EOF
cat >> $CONFIG_STATUS <<\EOF
fi
for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case "$ac_file" in
  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  *) ac_file_in="${ac_file}.in" ;;
  esac

  echo creating $ac_file

  rm -f conftest.frag conftest.in conftest.out
  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
  cat $ac_file_inputs > conftest.in

EOF

# Transform confdefs.h into a sed script conftest.vals that substitutes
# the proper values into config.h.in to produce config.h.  And first:
# Protect against being on the right side of a sed subst in config.status.
# Protect against being in an unquoted here document in config.status.
rm -f conftest.vals
cat > conftest.hdr <<\EOF
s/[\\&%]/\\&/g
s%[\\$`]%\\&%g
s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
s%ac_d%ac_u%gp
s%ac_u%ac_e%gp
EOF
sed -n -f conftest.hdr confdefs.h > conftest.vals
rm -f conftest.hdr

# This sed command replaces #undef with comments.  This is necessary, for
# example, in the case of _POSIX_SOURCE, which is predefined and required
# on some systems where configure will not decide to define it.
cat >> conftest.vals <<\EOF
s%^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
EOF

# Break up conftest.vals because some shells have a limit on
# the size of here documents, and old seds have small limits too.

rm -f conftest.tail
while :
do
  ac_lines=`grep -c . conftest.vals`
  # grep -c gives empty output for an empty file on some AIX systems.
  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
  # Write a limited-size here document to conftest.frag.
  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
  echo 'CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in
' >> $CONFIG_STATUS
  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
  rm -f conftest.vals
  mv conftest.tail conftest.vals
done
rm -f conftest.vals

cat >> $CONFIG_STATUS <<\EOF
  rm -f conftest.frag conftest.h
  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
  cat conftest.in >> conftest.h
  rm -f conftest.in
  if cmp -s $ac_file conftest.h 2>/dev/null; then
    echo "$ac_file is unchanged"
    rm -f conftest.h
  else
    # Remove last slash and all that follows it.  Not all systems have dirname.
      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
      # The file is in a subdirectory.
      test ! -d "$ac_dir" && mkdir "$ac_dir"
    fi
    rm -f $ac_file
    mv conftest.h $ac_file
  fi
fi; done

EOF
cat >> $CONFIG_STATUS <<EOF

EOF
cat >> $CONFIG_STATUS <<\EOF

exit 0
EOF
chmod +x $CONFIG_STATUS
rm -fr confdefs* $ac_clean_files
test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1

